This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1275102 - Allow overriding CirrosOS location during tempest tests
Allow overriding CirrosOS location during tempest tests
Status: CLOSED WONTFIX
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
medium Severity medium
: ---
: 10.0 (Newton)
Assigned To: Angus Thomas
Arik Chernetsky
: Triaged, ZStream
Depends On:
Blocks: 1339488
  Show dependency treegraph
 
Reported: 2015-10-25 18:02 EDT by Pablo Caruana
Modified: 2016-05-25 04:17 EDT (History)
22 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-13 06:49:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to support openstack overcloud validate --image /path/to/your/image/file.qcow2 (2.19 KB, patch)
2015-11-20 05:43 EST, Martin Schuppert
no flags Details | Diff

  None (edit)
Description Pablo Caruana 2015-10-25 18:02:22 EDT
What problem/issue/behavior are you having trouble with?  What do you expect to see?

Red Hat OpenStack Director extends the "openstack" CLI tool with tempest tests to validate the correct deployment of the Overcloud. As instructed in the Director manual, tempest tests are ran like this:

openstack overcloud validate --overcloud-auth-url $OS_AUTH_URL -- overcloud-admin-password $OS_PASSWORD

During the process, the script tries to download a CirrOS image from the Internet, but the host where the tempest tests are ran does not have Internet connection.

Meanwhile we haven't figured out a proper way to prevent the CirrOS image from being downloaded other than hacking the code in /usr/lib/python2.7/site-packages/rdomanager_oscplugin/v1/overcloud_validate.py:

$ sudo diff -u /usr/lib/python2.7/site-packages/rdomanager_oscplugin/v1/overcloud_validate.py.orig /usr/lib/python2.7/site-packages/rdomanager_oscplugin/v1/overcloud_validate.py
--- /usr/lib/python2.7/site-packages/rdomanager_oscplugin/v1/overcloud_validate.py.orig 2015-10-06 15:03:02.661793027 +0200
+++ /usr/lib/python2.7/site-packages/rdomanager_oscplugin/v1/overcloud_validate.py      2015-10-06 15:03:09.933974542 +0200
@@ -45,6 +45,7 @@
                         'configure-tempest-directory')
         utils.run_shell('./tools/config_tempest.py --out etc/tempest.conf '
                         '--deployer-input %(partial_config_file)s '
+                        '--image /home/stack/images/cirros-0.3.1-x86_64-disk.img '
                         '--debug --create '
                         'identity.uri %(auth_url)s '
                         'compute.allow_tenant_isolation true '

Could you please enhance the "openstack" plugin that comes with RDO Manager to allow overriding the location of the CirrOS image?

Where are you experiencing the behavior?  What environment?

It would be useful to have the ability of overriding the CirrOS image location. The tempest configuration part is smart enough to detect whether it's a local file or an HTTP or HTTP/S link.

When does the behavior occur? Frequently?  Repeatedly?   At certain times?

Always.
Comment 1 Pablo Caruana 2015-10-25 18:09:28 EDT
Some patch attached to the BZ for being review it and looking for a regular OSP director supported rpm one.
Comment 2 Martin Schuppert 2015-11-20 05:43 EST
Created attachment 1097096 [details]
patch to support openstack overcloud validate --image /path/to/your/image/file.qcow2
Comment 6 Irina Petrova 2016-04-01 09:35:54 EDT
Hi guys,

Just checking: do we have a newer possible timeframe for the implementation of this feature?

Best,
Irina
Comment 10 Daniel Mellado 2016-05-04 03:29:51 EDT
Hi Irina,

Not really sure myself, just catching up with the emails after the summit. In any case, let's ask the assignee and the QA contact.

@athomas,@achernet, any info on this? Were you aware of the request?
Comment 12 Mike Burns 2016-05-13 06:49:35 EDT
I think this is not valid anymore.  The openstack overcloud validate has been removed in favor of using the tempest command line directly.  Current documentation indicates this as well:

https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux_OpenStack_Platform/7/html/Director_Installation_and_Usage/sect-Validating_the_Overcloud.html

It says to run config_tempest.py yourself and you can specify the options you want there.

Note You need to log in before you can comment on or make changes to this bug.